JBoss API: Class LocalHomeProxy

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.local
Class LocalHomeProxy

    java.lang.Object
      |
      +--org.jboss.ejb.plugins.local.LocalProxy
            |
            +--org.jboss.ejb.plugins.local.LocalHomeProxy

public abstract class LocalHomeProxy
extends LocalProxy

The client-side proxy for an EJB Home object.

Author:
  Daniel OConnor (docodan@mvcsoft.com)

Field Summary
`protected static java.lang.reflect.Method` | `REMOVE_BY_PRIMARY_KEY` `EJBHome#remove(Object)` method reference.
`protected static java.lang.reflect.Method` | `REMOVE_OBJECT` `EJBObject#remove` method reference.

Fields inherited from class org.jboss.ejb.plugins.local.LocalProxy
`EMPTY_ARGS, EQUALS, GET_EJB_HOME, GET_PRIMARY_KEY, HASH_CODE, IS_IDENTICAL, TO_STRING`

Constructor Summary
`LocalHomeProxy()`

Method Summary
`java.lang.Object` | `invoke(java.lang.Object proxy, java.lang.reflect.Method m, java.lang.Object[] args)` InvocationHandler implementation.

Methods inherited from class org.jboss.ejb.plugins.local.LocalProxy
`getId, getJndiName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REMOVE_BY_PRIMARY_KEY

    protected static final java.lang.reflect.Method REMOVE_BY_PRIMARY_KEY

  `EJBHome#remove(Object)` method reference.

### REMOVE_OBJECT

    protected static final java.lang.reflect.Method REMOVE_OBJECT

  `EJBObject#remove` method reference.

Constructor Detail

### LocalHomeProxy

    public LocalHomeProxy()

Method Detail

### invoke

    public java.lang.Object invoke(java.lang.Object proxy,
                                   java.lang.reflect.Method m,
                                   java.lang.Object[] args)
                            throws java.lang.Throwable

  InvocationHandler implementation.
  Overrides:
    `invoke` in class `LocalProxy`
  Parameters:
    `proxy` - The proxy object.
    `m` - The method being invoked.
    `args` - The arguments for the method.
  Throws:
    `java.lang.Throwable` - Any exception or error thrown while processing.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.